## START: Set by rpmautospec
## (rpmautospec version 0.5.1)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 3;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# Cannot run tests at the moment since the release tarball is
# missing test/__init__.py and test/util.py
# https://github.com/G-Node/python-odml/issues/420
%bcond_without tests

%global forgeurl  https://github.com/G-Node/python-odml

%global _description %{expand:
odML (open metadata Markup Language) is a file format for storing 
arbitrary metadata. The underlying data model offers a way to 
store metadata in a structured human- and machine-readable way.
Well organized metadata management is a key component to 
guarantee reproducibility of experiments and to track provenance
of performed analyses.

Documentation: http://g-node.github.io/python-odml/

python-odml is the python library for reading and writing odml
metadata files. It is a registered research resource with the
RRID:SCR_001376.}


Name:           python-odml
Version:        1.5.4
Release:        %autorelease
Summary:        File-format to store metadata in an organized way
# spdx
License:        BSD-4-Clause

%forgemeta
URL:            %forgeurl
Source0:        %forgesource

BuildArch:      noarch

# Docs are no longer included
# They are available online: http://g-node.github.io/python-odml/
Obsoletes:      %{name}-doc < %{version}


%description %_description


%package -n python3-odml
Summary:        %{summary}
BuildRequires:  python3-devel
BuildRequires:  help2man


%if %{with tests}
BuildRequires:  python3-pytest
BuildRequires:  python3-lxml
BuildRequires:  python3-pyyaml
BuildRequires:  python3-owl_rl
BuildRequires:  python3-docopt
%endif

%description -n python3-odml %_description


%prep
%forgesetup

touch test/__init__.py


%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files -l odml

for binary in "odmlconvert" "odmlconversion"  "odmltordf"  "odmlview"
do
    echo "Generating man page for ${binary// /-/}"
    PYTHONPATH="$PYTHONPATH:%{buildroot}/%{python3_sitelib}/" PATH="$PATH:%{buildroot}/%{_bindir}/" help2man --no-info --no-discard-stderr --name="${binary}" --version-string="${binary} %{version}" --output="${binary// /-}.1" "${binary}"
    cat "${binary// /-}.1"
    install -t '%{buildroot}%{_mandir}/man1' -p -m 0644 -D "${binary// /-}.1"
done

%check
%if %{with tests}
  # test_version_converter needs an internet connection, therefore disabled
  %pytest --deselect test/test_version_converter.py
%else
  %pyproject_check_import
%endif


%files -n python3-odml -f %{pyproject_files}
%doc README.md
%{_bindir}/odmlconversion
%{_bindir}/odmlconvert
%{_bindir}/odmltordf
%{_bindir}/odmlview
%{_mandir}/man1/odml*


%changelog
## START: Generated by rpmautospec
* Fri Jan 26 2024 Fedora Release Engineering <releng@fedoraproject.org> - 1.5.4-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Mon Jan 22 2024 Fedora Release Engineering <releng@fedoraproject.org> - 1.5.4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Thu Jan 04 2024 Ankur Sinha (Ankur Sinha Gmail) <sanjay.ankur@gmail.com> - 1.5.4-1
- feat: update to 1.5.4 (fixes rh#2254706)

* Thu Jan 04 2024 Ankur Sinha (Ankur Sinha Gmail) <sanjay.ankur@gmail.com> - 1.5.3-8
- chore: add packit

* Thu Jan 04 2024 Benjamin A. Beasley <code@musicinmybrain.net> - 1.5.3-7
- Assert a license file is automatically handled; don’t package a duplicate

* Fri Jul 21 2023 Fedora Release Engineering <releng@fedoraproject.org> - 1.5.3-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Wed Jun 14 2023 Python Maint <python-maint@redhat.com> - 1.5.3-5
- Rebuilt for Python 3.12

* Mon May 22 2023 Sandro <devel@penguinpee.nl> - 1.5.3-4
- Enable tests again

* Mon May 22 2023 Sandro <devel@penguinpee.nl> - 1.5.3-3
- Fix rpmlint issues

* Mon May 22 2023 Sandro <devel@penguinpee.nl> - 1.5.3-2
- Disable tests for now

* Mon May 22 2023 Sandro <devel@penguinpee.nl> - 1.5.3-1
- Update to 1.5.3 (RHBZ#2192609)
- Use rdflib >= 6 (RHBZ#2113639)
- Clean up spec file
- Use Python macros
- Add requires for doc package
- Drop dependency on python3-owl_rl
- Obsolete doc subpackage

* Fri Jul 22 2022 Fedora Release Engineering <releng@fedoraproject.org> - 1.5.1-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Mon Jun 13 2022 Python Maint <python-maint@redhat.com> - 1.5.1-4
- Rebuilt for Python 3.11

* Fri Jan 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 1.5.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Fri Jul 23 2021 Fedora Release Engineering <releng@fedoraproject.org> - 1.5.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Fri Jun 18 2021 Aniket Pradhan <major AT fedoraproject DOT org> - 1.5.1-1
- Updated to v1.5.1
- Removed auto-dep generator

* Fri Jun 04 2021 Python Maint <python-maint@redhat.com> - 1.4.4-6
- Rebuilt for Python 3.10

* Wed Jan 27 2021 Fedora Release Engineering <releng@fedoraproject.org> - 1.4.4-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Wed Jul 29 2020 Fedora Release Engineering <releng@fedoraproject.org> - 1.4.4-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Thu Jun 25 2020 Aniket Pradhan <major AT fedoraproject DOT org> - 1.4.4-3
- Added setuptools to BuildRequires

* Tue May 26 2020 Miro Hrončok <mhroncok@redhat.com> - 1.4.4-2
- Rebuilt for Python 3.9

* Mon Jan 27 2020 Aniket Pradhan <major AT fedoraproject DOT org> - 1.4.4-1
- Initial build

## END: Generated by rpmautospec
